InstantiatedTermFreqVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedTermFreqVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermFreqVector

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedTermFreqVector

All Implemented Interfaces:
  Serializable, TermFreqVector

Direct Known Subclasses:
  InstantiatedTermPositionVector

    public class InstantiatedTermFreqVector

extends Object
implements TermFreqVector, Serializable

Vector space view of a document in an `InstantiatedIndexReader`.

See Also:
  `TermFreqVector`, Serialized Form

Constructor Summary
`InstantiatedTermFreqVector(InstantiatedDocument document, String field)`

Method Summary
`String` | `getField()`
`List<InstantiatedTermDocumentInformation>` | `getTermDocumentInformations()`
`int[]` | `getTermFrequencies()`
`String[]` | `getTerms()`
`int[]` | `indexesOf(String[] termNumbers, int start, int len)`
`int` | `indexOf(String termText)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatedTermFreqVector

    public InstantiatedTermFreqVector(InstantiatedDocument document,
                                      String field)

Method Detail

### getField

    public String getField()

  Specified by:
    `getField` in interface `TermFreqVector`
  Returns:
    The number of the field this vector is associated with

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### size

    public int size()

  Specified by:
    `size` in interface `TermFreqVector`

### getTerms

    public String[] getTerms()

  Specified by:
    `getTerms` in interface `TermFreqVector`

### getTermFrequencies

    public int[] getTermFrequencies()

  Specified by:
    `getTermFrequencies` in interface `TermFreqVector`

### indexOf

    public int indexOf(String termText)

  Specified by:
    `indexOf` in interface `TermFreqVector`

### indexesOf

    public int[] indexesOf(String[] termNumbers,
                           int start,
                           int len)

  Specified by:
    `indexesOf` in interface `TermFreqVector`

### getTermDocumentInformations

    public List<InstantiatedTermDocumentInformation> getTermDocumentInformations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.